# Method: properties.fetchAutomatedGa4ConfigurationOptOut

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.request_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.FetchAutomatedGa4ConfigurationOptOutResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchAutomatedGa4ConfigurationOptOut#try-it)

Fetches the opt out status for the automated GA4 setup process for a UA property. Note: this has no effect on GA4 property.

### HTTP request

`POST https://analyticsadmin.googleapis.com/v1alpha/properties:fetchAutomatedGa4ConfigurationOptOut`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "property": string } ``` |

| Fields ||
|---|---|
| `property` | `string` Required. The UA property to get the opt out status. Note this request uses the internal property ID, not the tracking ID of the form UA-XXXXXX-YY. Format: properties/{internalWebPropertyId} Example: properties/1234 |

### Response body

Response message for fetching the opt out status for the automated GA4 setup process.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "optOut": boolean } ``` |

| Fields ||
|---|---|
| `optOut` | `boolean` The opt out status for the UA property. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`